0% Interest for 24 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
Dad Gift Card

SweetCare®

I upgraded Pro Tools to version 8.0.4, and now I’m having problems with my iZotope plugin(s) when I attempt to use (them) as an AudioSuite plugin.

iZotope support is aware of an incompatibility with the current AudioSuite versions of their plug-ins and the latest Pro Tools 8.0.4 update. iZotope is working with Avid to resolve this issue as soon as possible.

Users of iZotope AudioSuite plug-ins should not upgrade to Pro Tools HD 8.0.4 until this issue is resolved.

There are currently no known issues however with the real-time RTAS versions of iZotope plug-ins inside of Pro Tools 8.0.4.

Click here for 28,000 answers to your tech questions